## packagekit 0.6.11

=== debian/changelog ===
packagekit (0.6.11-2ubuntu3) natty; urgency=low

  * Build-depend on xulrunner-dev or firefox-dev, which makes it
    possible to compile PK without xulrunner as the
    latter should go away. (LP: #740815)

 -- Matthias Klumpp <matthias@nlinux.org>  Thu, 24 Mar 2011 14:47:04 +0100

packagekit (0.6.11-2ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2011 14:57:59 -0700

packagekit (0.6.11-2ubuntu1) natty; urgency=low

  * Fix typo in Qt4 bindings (LP: #734939)

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 16 Mar 2011 16:07:51 +0100

packagekit (0.6.11-2) unstable; urgency=low

  * Select right browser on Debian/Ubuntu
  * Reformatted control file
  * Fix crash if Section() of a package is NULL
  * Fix falure of some postinst scripts when running using APTcc (LP: #680328)

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 25 Jan 2011 15:54:54 +0100

packagekit (0.6.11-1) unstable; urgency=low

  * New upstream release
     - Add a new backend role for updating the whole distro: UpgradeSystem
        (Richard Hughes)
     - Allow backend to encode the package origin in the package-id
        (Richard Hughes)
     - Added PK_ERROR_ENUM_CANNOT_FETCH_SOURCES when refreshing cache
        fails (Daniel Nicoletti)
     - Add recommendation repo:foo' to be able to return all packages in a
        certain repository (Richard Hughes)
     - Change the spec to recommend 'category:web-development' rather than
        '@web-development' (Richard Hughes)
     - Spawn KDE Debconf frontend if KDE is running (Matthias Klumpp)
     - aptcc: Added GStreamer search (Daniel Nicoletti)
     - aptcc: Fix regex not to match "()(64bit)" as we don't support
        multiarch anyway (Daniel Nicoletti)
     - aptcc: Port away from PK_BACKEND_OPTIONS (Daniel Nicoletti)
     - aptcc: Set the env proxy vars so that Apt::Acquire is not
        overwritten, fixes LP: #633008 (Daniel Nicoletti)
     - aptcc: Use the new PK_ERROR_ENUM_CANNOT_GET_LOCK (Daniel Nicoletti)
  * Added libnspr4-dev build-dependency
  * Switch to dh_python2
  * Allow every user to set proxy
  * Refreshed patches
  * Build-Depend on python >= 2.6.6-3+squeeze4
  * Switched back to compat level 7
  * Removed patches which were applied upstream

 -- Matthias Klumpp <matthias@nlinux.org>  Fri, 07 Jan 2011 19:58:26 +0100

packagekit (0.6.10-3) unstable; urgency=low

  [ Matthias Klumpp ]
  * Bumped debhelper version & added Gitignore
  * Changed control file indentation

  [ Julian Andres Klode ]
  * Add support for GLib 2.24; thus upload to unstable
  * Build with -Wl,--as-needed to avoid large dependencies
  * Add myself to uploaders

 -- Julian Andres Klode <jak@debian.org>  Sun, 19 Dec 2010 20:20:42 +0100

packagekit (0.6.10-2) experimental; urgency=low

  * Require privileges to install updates (Closes: #606092)
  * Break old backends and depend on the new ones (Closes: #606133)
  * Adjusted Vcs information to link to our new Git repository
  * Added series file for Ubuntu to apply Ubuntu-specific patches
     (like the vendor patch for example)

 -- Matthias Klumpp <matthias@nlinux.org>  Mon, 06 Dec 2010 18:48:47 +0100

packagekit (0.6.10-1) experimental; urgency=low

  * New upstream release
     - This is the first release of PackageKit to support session
       configuration helper support in the GLib and Qt libraries.
     - This allows debconf to work when using PackageKit on Debian.
     - A formal transaction lifecyle is now in place, which allows future
       extensions to hook into the transaction at certain points.
  * Disabled introspection support
    (requires a more recent version of gobject-introspection)
  * APTcc proxy patch from upstream (makes APTcc use APT proxy settings)
  * Upstream patch for some APTcc crashes

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 02 Nov 2010 18:08:34 +0100

packagekit (0.6.8-2) unstable; urgency=low

  * Make dh_makeshlibs ignore non-public libraries. This prevents it from
    including an useless shlibs-controlfile into the packages.
  * Merged some patches from Ubuntu

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 19 Oct 2010 21:05:19 +0200

packagekit (0.6.8-1) unstable; urgency=low

  * Initial release (Closes: #468132)

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 25 Aug 2010 19:40:12 +0200
