=== debian/control ===
Source: packagekit
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <matthias@nlinux.org>
Uploaders: Julian Andres Klode <jak@debian.org>
Vcs-Git: git://git.debian.org/pkg-packagekit/packagekit.git
Vcs-Browser: http://git.debian.org/?p=pkg-packagekit/packagekit.git
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev (>=20100122.1),
               libtool,
               libpam0g-dev,
               libglib2.0-dev (>= 2.24),
               libdbus-glib-1-dev (>=0.76),
               libnm-glib-dev,
               network-manager-dev,
               libpolkit-gobject-1-dev,
               libpolkit-backend-1-dev,
               gobject-introspection (>=0.6.14),
               libgirepository1.0-dev (>=0.6.14),
               policykit-1,
               libapt-pkg-dev (>=0.7.26),
               libsqlite3-dev,
               python-dev (>= 2.6.6-3+squeeze4),
               python-apt (>=0.7.13.2),
               docbook-utils,
               gtk-doc-tools,
               xmlto,
               xulrunner-dev (>=1.9.1) | firefox-dev,
               libgtk2.0-dev,
               update-manager-core,
               python-software-properties,
               libgstreamer-plugins-base0.10-dev,
               libarchive-dev,
               libcppunit-dev,
               libqt4-dev,
               libxt-dev,
               pm-utils,
               libnspr4-dev
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://www.packagekit.org

Package: packagekit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpackagekit-glib2-14 (= ${binary:Version}),
         packagekit-backend-aptcc (= ${binary:Version})
Breaks: packagekit-backend-aptcc (<< ${binary:Version}),
        packagekit-backend-apt (<< ${binary:Version}),
        packagekit-backend-smart (<< ${binary:Version})
Suggests: packagekit-backend-apt, packagekit-backend-smart
Description: Provides a package management service
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The work is done by backends which make use of the package manager shipped by
 the corresponding distribution. PackageKit is not meant to replace
 advanced tools like Synaptic.
 .
 The main benefits are:
  - unified interface on several distributions
  - fine grained privilleges by using PolicyKit
  - independecy from a running desktop session during the processing

Package: packagekit-bash-completion
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         packagekit (= ${binary:Version})
Description: Offer to install missing programs automatically
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 A simple helper that offers to install missing packages on the command line
 using PackageKit.

Package: packagekit-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides documentation for PackageKit.

Package: libpackagekit-glib2-14
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for accessing PackageKit using GLib
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".

Package: libpackagekit-glib2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libpackagekit-glib2-14 (= ${binary:Version})
Description: Library for accessing PackageKit using GLib (development files)
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".
 .
 This package provides the header files and documentation for the advanced
 PackageKit library based on GLib. It makes use of only async D-Bus calls
 and provides high level tasks which peform the "transaction dance".

Package: libpackagekit-qt14
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpackagekit-qt-14 (>= 0.6.8-0)
Replaces: libpackagekit-qt-14
Description: Library for accessing PackageKit using Qt4
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekit-qt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libpackagekit-qt14 (= ${binary:Version})
Description: Library for accessing PackageKit using Qt4 (development files)
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for Qt.

Package: python-packagekit
Architecture: all
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-gobject,
         python-dbus
XB-Python-Version: ${python:Versions}
Description: PackageKit Python bindings
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides Python bindings for PackageKit

Package: packagekit-gtk-module
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Install fonts automatically using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The PackageKit GTK+ module allows any Pango application to install
 fonts from configured repositories using PackageKit.

Package: gstreamer0.10-packagekit
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         packagekit (= ${binary:Version})
Description: GStreamer plugin to install codecs using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: browser-plugin-packagekit
Architecture: any
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}, ${dist:Browser},
         packagekit (= ${binary:Version})
Conflicts: mozilla-packagekit
Replaces: mozilla-packagekit
Description: Plugin to install missing plugins using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a browser plugin.

Package: packagekit-backend-apt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-packagekit (= ${source:Version}),
         app-install-data,
         python-apt (>=0.7.13.2),
         python-gdbm,
         update-manager-core,
         python-software-properties
XB-Python-Version: ${python:Versions}
Recommends: apt-xapian-index
Description: Python APT backend for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows to use APT over a Python-based PackageKit backend.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-aptcc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-packagekit (= ${source:Version}),
         app-install-data
XB-Python-Version: ${python:Versions}
Recommends: apt-xapian-index
Description: C++ APT backend for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows to use APT over a C++-based PackageKit backend to
 target systems with low memory.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-smart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-packagekit (= ${source:Version}),
         smartpm-core
XB-Python-Version: ${python:Versions}
Description: Smart backend for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows to use the smart package manager.
