## packagekit 0.6.18

=== debian/changelog ===
packagekit (0.6.18-1) unstable; urgency=low

  * New upstream release: 0.6.18
    - glib: Fix a small memory leak (Garrett Regier)
    - qt: Do not dist the moc files (Richard Hughes)
    - aptcc: Fix the size by emitting installed and download size
        (DanielNicoletti)
    - Fix the browser-plugin build with GTK+ < 2.24 (Frederic Crozat)
    - Make the lsof plugin not lookup hostnames (Richard Hughes)
    - Remove the duplicate 'The software is not from a trusted source'
       (Richard Hughes)
  * Removed patches which have been applied upstream
  * Fix segfault with >= GLib 2.29
  * Remove old, unnecessary *.moc files

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 07 Sep 2011 19:19:53 +0200

packagekit (0.6.17-1) unstable; urgency=low

  * New upstream release: 0.6.17
     - Actually use the value from /etc/login.defs (Richard Hughes)
     - Ignore local packages when calculating the simulate list
        (Richard Hughes)
     - Ignore untrusted packages when calculating the simulate list
        (Richard Hughes)
     - Add an untrusted section header when using console applications
        (Richard Hughes)
  * aptcc: Fix crash when long description blow char buffer,
     remove some mem leaks too
  * aptcc: Fix the size of the packages by emitting installedSize
     when installed and download size when available.

 -- Matthias Klumpp <matthias@tenstral.net>  Sat, 20 Aug 2011 15:12:22 +0200

packagekit (0.6.16-1) unstable; urgency=low

  * New upstream release: 0.6.16
     - glib: Added element-type annotations for each function returning a
        GPtrArray (Alex Eftimie)
     - glib: Ensure packages from the progress handler have the package_id
        assigned (Richard Hughes)
     - aptcc: Better put last fix in pk_backend_initialize
        (Daniel Nicoletti)
     - aptcc: Fix bug that resolved packages were emited as installed when
        updates (Daniel Nicoletti)
     - aptcc: Fix getDetails to actually use the resolved version,
        deb#606135 (Daniel Nicoletti)
     - aptcc: Initial support to conffile handling (Daniel Nicoletti)
     - aptcc: Set env var to disable apt-listbugs closes deb#628835
        (Daniel Nicoletti)
     - Support looking up Plasma services (Kevin Kofler)
     - Do not hardcode G_DISABLE_DEPRECATED as it breaks with GTK+-2 and
        GLib (Richard Hughes)
     - Do not hardcode the UID_MIN as 500. Fixes rh#717110
        (Richard Hughes)
     - Do not try to parse any arguments in command-not-found
        (Richard Hughes)
     - Ensure we save the updates cache for the pre-transaction checks
        (Richard Hughes)
     - Fix a build error in the browser plugin when using old versions of
        gdk (Richard Hughes)
  * Remove patches which were applied upstream
  * Drop dependency on dh_autoreconf
  * Update my mailadress

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 04 Jul 2011 23:00:54 +0200

packagekit (0.6.15-1) unstable; urgency=low

  * New upstream release: 0.6.15
    - gir: More gir annotations (Matthias Klumpp)
    - packagekit-qt2: Remove package caching as we use const Packages now
        (Daniel Nicoletti)
    - aptcc: Emit repos while refreshing cache, and speed up
        searchDetails a bit (Daniel Nicoletti)
    - aptcc: Fix the way we emit repos, now it emits the string more
        human readable (Daniel Nicoletti)
    - Added PK_INFO_ENUM_UNTRUSTED so we can tell which packages are
        trusted (Daniel Nicoletti)
    - When refreshing cache backends should emit RepoDetail as frontends
        will be able to present extra details (Daniel Nicoletti)
    - Do not prevent updating when firefox is running, we don't have all
        the client UI ready yet (Richard Hughes)
    - Only include glib-unix.h if the GLib version is >= 2.29.4
        (Richard Hughes)
  * Set env var in aptcc to disable apt-listbugs (Closes: #628835)
  * Fix aptcc getDetails method (Closes: #606135)
  * Enabled build with deprecated symbols
  * Don't ship .la files

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 14 Jun 2011 14:06:41 +0200

packagekit (0.6.14-2) unstable; urgency=low

  * Removed XS-Python-Version line (Closes: #626104)
  * Adjusted VCS links
  * Fixed typo in package description
  * Updated libpackagekit-glib2-dev dependencies

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 01 Jun 2011 18:10:04 +0200

packagekit (0.6.14-1) unstable; urgency=low

  * Upload to unstable
  * Make PK compile on non-linux archs
    (Thanks to Pino Toscano) (Closes: #623125)
  * Imported Upstream version 0.6.14
     - glib: Add GIR annotations to make PK GIR usable
             (Matthias Klumpp)
     - qt2: Add Qt2 library (Daniel Nicoletti)
     - qt: Fix typo in SearchGroups (Dimitar Popov)
     - aptcc: Fix configure.ac to avoid pk-qt linking
             against apt-pkg (Daniel Nicoletti)
     - browser-plugin: Remove deprecated symbols
             (Matthias Klumpp) (LP: #766046)
     - Fix precedence when assigning strings to a *GStrv
             (Jonny Lamb) (Closes: #622605)
     - Create transaction db properly if it's not exist
             (Zhang Qiang)
     - Do not allow backends to output duplicate older
       packages when searching with newest (Richard Hughes)
     - Use the new threadsafe signal handling support in GLib
       (Richard Hughes)
  * Replace qt package with qt2 package
  * Fix some spelling errors in description
  * Remove PackageKit PolKit extension (has been removed upstream too)
  * Build GTK+3 module

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 04 May 2011 14:23:05 +0200

packagekit (0.6.12-2) experimental; urgency=low

  * Fixed changelog
  * Enabled GObject introspection
  * Build-depend on xulrunner or firefox
  * Apply best practices for dpkg source format 3.0 (quilt)
  * Add debug-info package
  * Wipe out dependency_libs from .la files (Closes: #619544)

 -- Matthias Klumpp <matthias@nlinux.org>  Fri, 25 Mar 2011 11:17:32 +0100

packagekit (0.6.12-1) unstable; urgency=low


